body {
  background-image: url(/img/solutions/imex_main_icon.svg);
}

.main__content {
  padding-top: 70px;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 120px;
}

.main__text__title {
  font-size: 58px;
  font-weight: 500;
  line-height: 72px;
  color: var(--grey);
  max-width: 570px;
  margin-bottom: 20px;
}

.main__text__desc {
  font-size: 22px;
  font-weight: 400;
  line-height: 28px;
  color: var(--grey);
  max-width: 644px;
}

/* Second-page */
.second__top {
  align-items: center;
  margin-bottom: 20px;
}

.second__title {
  font-size: 29px;
  font-weight: 500;
  line-height: 36px;
  color: var(--dark-blue);
  max-width: 786px;
}

.second__block {
  background-color: white;
  border-radius: 30px;
  padding: 50px 50px;
  box-shadow: 9px 9px 70px rgba(74, 81, 119, 0.2);
}

.second__block__header {
  justify-content: space-between;
}

.second__block__header__text__title {
  max-width: 487px;
}

.second__block__header__text {
  max-width: 526px;
}

.second__block__middle {
  margin-bottom: 42px;
}

.second__block__middle__header,
.second__block__botton__header,
.third__block__top__text__list__header,
.third__block__middle__header,
.third__block__middle__list_first__header,
.third__block__middle__list_second__header {
  font-size: 18px;
  font-weight: 600;
  line-height: 23px;
  color: var(--dark-blue);
  margin-bottom: 20px;
}

.second__block__middle__list {
  flex-direction: row;
  justify-content: space-between;
}

.second__block__middle__list__link {
  display: flex;
  align-items: center;
  font-size: 17px;
  line-height: 25px;
  background-color: var(--dark-blue);
  border-radius: 10px;
  padding: 20px 20px;
  max-width: 270px;
  text-align: center;
  color: white;
}

.second__block__botton__list__link{
  background-image: url(/img/solutions/plus_icon.svg);
  background-repeat: no-repeat;
  background-size: 24px;
  background-position: left 25px center;
}
.second__block__botton__list__link {
  display: flex;
  align-items: center;
  background-color: var(--light-blue);
  padding: 17px 17px 17px 60px;
  border-radius: 10px;
  color: white;
}
.second__block__botton__list__link:not(:last-child) {
  margin-right: 30px;
}


/* Third-page */
.third__content {
  background-color: white;
  border-radius: 30px;
  padding: 50px 50px;
  box-shadow: 9px 9px 70px rgba(74, 81, 119, 0.2);
}

.third__block__top {
  justify-content: space-between;
  margin-bottom: 50px;
}

.third__block__top__text {
  max-width: 572px;
}

.third__block__top__text__list__list__link:not(:last-child){
  margin-bottom: 15px;
}

.third__block__top__text__list__list__link,
.third__block__middle__list__first__list__link,
.third__block__middle__list__second__list__link {
  padding-left: 30px;
  padding-right: 16px;
}

.third__block__top__text__list__list__link,
.third__block__middle__list__first__list__link,
.third__block__middle__list__second__list__link {
  background-image: url(/img/solutions/ul_el.svg);
  background-repeat: no-repeat;
  background-size: 19px 19px;
}

.third__block__middle {
  margin-bottom: 50px;
}

.third__block__middle__header {
  margin-bottom: 0px;
  margin-bottom: 70px;
}

.third__block__middle__lists {
  justify-content: space-between;
}

.third__block__middle__list__first__list__link,
.third__block__middle__list__second__list__link {
  font-weight: 18px;
  line-height: 23px;
  font-weight: 400;
  color: var(--grey);
}

.third__block__middle__list__first__list__link:not(:last-child),
.third__block__middle__list__second__list__link:not(:last-child) {
  margin-bottom: 20px;
}

.third__block__botton {
  background-color: var(--dark-blue);
  color: white;
  padding: 25px;
  text-align: center;
  font-size: 18px;
  font-weight: 500;
  line-height: 25px;
  border-radius: 15px;
}

/* Fourth-page */
.fourth__content {
  background-color: var(--dark-blue);
  border-radius: 30px;
  padding: 50px;
  color: white;
}

.fourth__block__top__header {
  font-size: 42px;
  line-height: 54px;
  font-weight: 400;
  color: white;
  margin-bottom: 30px;
}

.fourth__block__top__texts {
  justify-content: space-between;
  color: rgba(255, 255, 255, 0.7);
  font-size: 16px;
  line-height: 21px;
  margin-bottom: 30px;
}

.fourth__block__top__texts__header {
  font-size: 20px;
  line-height: 30px;
  font-weight: 500;
  color: white;
  margin-bottom: 20px;
}

.fourth__block__top__texts__first {
  max-width: 50%;
  margin-right: 35px;
}

.fourth__block__top__texts__first__left:not(:last-child),
.fourth__block__top__texts__second__right:not(:last-child) {
  margin-bottom: 20px;
}

.fourth__block__botton {
  justify-content: space-between;
  align-items: center;
}

.fourth__block__botton__left {
  max-width: 670px;
  margin-right: 15px;
}

.fourth__block__botton__left__header {
  font-size: 29px;
  line-height: 37px;
  font-weight: 400;
  margin-bottom: 25px;
}

.fourth__block__botton__left__text {
  color: rgba(255, 255, 255, 0.7);
}

.fourth__block__botton__right{
  max-width: 460px;
  flex-direction: column;
  align-items: flex-end;
}

.fourth__block__botton__right__line {
  border-top: 2px solid white;
  margin-bottom: 32px;
  width: 400px;
}

.fourth__block__botton__right__btn {
  padding: 20px 50px;
  background-color: white;
  border-radius: 10px;
  color: var(--dark-blue);
  transition-property: color, background-color;
  transition-duration: 0.25s;
}

.fourth__block__botton__right__btn:hover {
  background-color: var(--light-blue);
  color: white;
}
.fourth__block__botton__right__btn:active {
  background-color: #667fa3;
  color: white;
}

@media screen and (max-width: 480px) {
  .main__content {
    margin-bottom: 50px;
  }

  .main__text__title {
    font-size: 25px;
    line-height: 32px;
    max-width: 480px;
    margin-bottom: 20px;
  }

  .main__text__desc {
    font-size: 15px;
    line-height: 20px;
    max-width: 480px;
  }

  /* Second-page */
  .second__top{
    flex-direction: column;
  }

  .second__title {
    font-size: 18px;
    font-weight: 500;
    line-height: 26px;
    color: var(--dark-blue);
    max-width: 460px;
  }

  .second__image{
    display: none;
  }

  .second__block {
    background-color: white;
    border-radius: 20px;
    padding: 25px 25px;
    box-shadow: 9px 9px 70px rgba(74, 81, 119, 0.2);
  }

  .second__block__header {
    flex-direction: column-reverse;
  }

  .second__block__header__image svg {
    width: 150px;
    height: auto;
  }

  .second__block__header__image {
    margin-bottom: 20px;
  }

  .second__block__header__text__title {
    font-size: 18px;
    line-height: 26px;
  }

  .second__block__header__text__desc {
    font-size: 15px;
    line-height: 23px;
  }

  .second__block__middle__list {
    flex-direction: column;
  }

  .second__block__middle__list__link {
    max-width: 100%;
  }

  .second__block__middle__list__link__cont {
    font-size: 15px;
    line-height: 23px;
    text-align: center;
    margin: 0 auto;
  }

  .second__block__middle__list__link:not(:last-child){
    margin-bottom: 15px;
  }

  .second__block__middle{
    margin-bottom: 30px;
  }

  .second__block__botton__list {
    flex-direction: column;
  }

  .second__block__botton__list__link{
    background-image: url(/img/solutions/plus_icon.svg);
    background-repeat: no-repeat;
    background-size: 16px;
    background-position: left 25px center;
  }

  .second__block__middle__list__link {
    font-size: 15px;
    line-height: 23px;
    padding: 10px 10px;
  }

  .second__block__botton__list__link{
    font-size: 15px;
    line-height: 23px;
    text-align: left;
  }

  .second__block__botton__list__link:not(:last-child){
    margin-bottom: 15px;
  }

  .second__block__botton__list__link:not(:last-child) {
    margin-right: 0px;
  }

  /* Third-block */
  .third__block__top{
    flex-direction: column-reverse;
    margin-bottom: 15px;
  }

  .third__block__top__image svg {
    width: 150px;
    height: auto;
  }

  .third__block__top__image {
    margin-bottom: 20px;
  }

  .third__content {
    border-radius: 20px;
    padding: 25px 25px;
  }

  .third__block__top__text__header {
    font-size: 18px;
    line-height: 26px;
    color: var(--dark-blue);
    max-width: 460px
  }

  .third__block__top__text__desc{
    font-size: 15px;
    line-height: 23px;
  }

  .third__block__top__text__list__header{
    font-size: 18px;
    line-height: 26px;
  }

  .third__block__top__text__list__list__link,
  .third__block__middle__list__second__list__link{
    font-size: 15px;
    line-height: 23px;
  }

  .third__block__middle__list_first__list{
    margin-bottom: 35px;
  }

  .third__block__middle__header,
  .third__block__middle__list_first__header,
  .third__block__middle__list_second__header{
    font-size: 18px;
    line-height: 26px;
    margin-bottom: 20px;
  }

  .third__block__middle__lists {
    flex-direction: column;
  }

  .third__block__middle__list__first__list__link{
    font-size: 15px;
    line-height: 23px;
  }

  .third__block__middle{
    margin-bottom: 20px;
  }

  .third__block__botton__text{
    font-size: 15px;
    line-height: 23px;
  }

  /* Fourth-page */
  .fourth__content {
    border-radius: 20px;
    padding: 25px 25px;
  }

  .fourth__block__top__header{
    font-size: 18px;
    line-height: 26px;
    margin-bottom: 20px;
  }

  .fourth__block__top__texts {
    flex-direction: column;
    font-size: 15px;
    line-height: 23px;
  }

  .fourth__block__top__texts__first {
    max-width: 100%;
    margin-right: 0px;
  }

  .fourth__block__top__texts__header {
    font-size: 15px;
  }

  .fourth__block__top__texts__header__right {
    margin-top: 20px;
  }

  .fourth__block__botton{
    flex-direction: column;
  }

  .fourth__block__botton__left {
    max-width: 100%;
    margin-right: 0px;
  }

  .fourth__block__botton__left__header {
    font-size: 18px;
    line-height: 26px;
    font-weight: 400;
    margin-bottom: 20px;
    padding-bottom: 20px;
    border-bottom: 2px solid white;
  }

  .fourth__block__botton__right__line{
    border: none;
  }

  .fourth__block__top__texts__first__left {
    line-height: 23px;
  }
  .fourth__block__botton__left__text{
    font-size: 15px;
    line-height: 23px;
  }

  .fourth__block__botton__right{
    width: 100%;
    margin: 0 auto;
    align-items: center;
  }

  .fourth__block__botton__right__btn {
    padding: 20px auto;
    background-color: white;
    width: 100%;
    border-radius: 10px;
  }
}